
#version 150 compatibility 

uniform mat4 mat_view ;
uniform mat4 mat_proj ;
uniform mat4 mat_world ;

void main()
{
	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0 ;
	gl_TexCoord[1] = gl_MultiTexCoord0 ;

	// just stretch it to [-1,1] so it automatically
	// becomes a full screen quad.
	gl_Position = vec4( sign(gl_Vertex.xy),0.0,1.0 ) ;
}